Subject: Re: [mpls] end of WGLC, RE: working group last call for draft-ietf-mpls-lsp-ping-reply-mode-simple-01
From: t.petch <[email-masked]>
To: Nobo Akiya <[email-masked]>
Cc: Ross Callon <[email-masked]>, mpls <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 19 Apr 2015 10:07:23 +0100
List-Id: Multi-Protocol Label Switching WG <mpls.ietf.org>

Inline, and including Adrian in the reply since really I am piggybacking
on his comment.

Tom Petch

---- Original Message -----
From: "Nobo Akiya" <[email-masked]>
To: "t.petch" <[email-masked]>
Cc: "Ross Callon" <[email-masked]>; "mpls" <[email-masked]>;
<[email-masked]>;
<[email-masked]>
Sent: Saturday, April 18, 2015 6:23 PM

> Hi Tom,
>
> Although we have added this text after the list/bullet items in
section 3.2:
>
>    If a responder LSR receives a Reply Mode Order TLV which does not
>    comply to the rules described above, then the responder LSR MUST
>    ignore the Reply Mode Order TLV.
>
> You are right, it doesn't cover the case where a receiver (the
> initiator LSR) receives an MPLS echo reply with a Reply Mode Order
> TLV. Perhaps above text should be changed to:
>
>    If an LSR receives a Reply Mode Order TLV which does not
>    comply to the rules described above, then the LSR MUST
>    ignore the Reply Mode Order TLV.
>
> Will that address your first comment?

<tp>

Yes but ... I think that it is a change of meaning.  Is is enough just
to ignore the TLV or should the whole PDU be discarded?  I find it
difficult to know but don't feel strongly about that choice so will go
with what you suggest.

</tp>
>
> Regarding your second comment (3.2-6), is that really too ambiguous?
> To me, that text translates to following implementations:
>
> - When sending a Reply Mode Order TLV, 2 or more Reply Mode values
> shall be present.
>
> - When receiving a Reply Mode Order TLV, accept 1 or more Reply Mode
values.

<tp>

Again, that is a change of meaning to me.  SHALL, if not shall, is the
same as MUST while  'SHOULD', in our jargon, says there are reasons
(not) to do it and RFC commonly spell out such reasons for doing so.  So
the NEW text below is a change IMHO.  But again, I have no strong
feelings about it.

Tom Petch
</tp>

> If you think the text really should be updated, then we can change
(3.2-6):
>
> [OLD]
>
>    6.  Reply Mode Order TLV MUST contain at least one Reply Mode
value,
>        and SHOULD contain at least two Reply Mode values.
>
> [NEW]
>
>    6.  Reply Mode Order TLV MUST contain at least one Reply Mode
value.
>
>
> Thoughts?
>
>
> Thanks!
>
>
> -Nobo
>
>
> On Thu, Apr 16, 2015 at 10:30 AM, t.petch <[email-masked]> wrote:
>
> > Nobo
> >
> > I was struck by Adrian's comment which, if I understand correctly,
was
> > what to do if a MUST or SHOULD is violated and as I see it, I am
unclear
> > if this was addressed.
> >
> > Thus 3.2 2) what should a recipient do when the echo reply does
contain
> > a Reply Mode Order TLV ?
> >
> > Or in 6), 'SHOULD contain at least two Reply Mode values' - when may
> > that SHOULD be violated and if it is, does that render the TLV not
valid
> > as described in 4?
> >
> >
> > Tom Petch
> >
> > ----- Original Message -----
> > From: "Nobo Akiya" <[email-masked]>
> > To: "Ross Callon" <[email-masked]>
> > Cc: <[email-masked]>; <[email-masked]>;
> > <[email-masked]>
> > Sent: Thursday, April 16, 2015 6:06 PM
> > Subject: Re: [mpls] end of WGLC, RE: working group last call for
> > draft-ietf-mpls-lsp-ping-reply-mode-simple-01
> >
> >
> > > Hi Ross,
> > >
> > > Thank you for Shepherding this document.
> > >
> > > We (authors) have posted the revision (-02) addressing all
comments
> > > received during the LC of this document (thanks to those who
provided
> > > comments!).
> > >
> > > Thanks!
> > >
> > > -Nobo, on behalf of authors
> > >
> > > On Mon, Apr 13, 2015 at 9:03 AM, Ross Callon <[email-masked]>
> > wrote:
> > >
> > > >  This working group last call has ended, with sufficient support
and
> > no
> > > > opposition. There have however been a number of comments
received.
> > Thanks
> > > > to everyone who took the time to review the draft and comment.
> > > >
> > > >
> > > >
> > > > Authors, please update the draft in response to the comments.
After
> > this
> > > > is done, I will submit the document for publication.
> > > >
> > > >
> > > >
> > > > Thanks, Ross
> > > >
> > > >
> > > >
> > > > *From:* mpls [mailto:[email-masked]] *On Behalf Of *Ross
> > Callon
> > > > *Sent:* Friday, March 20, 2015 10:04 AM
> > > > *To:* [email-masked]
> > > > *Cc:* Loa Andersson; [email-masked]
> > > > *Subject:* [mpls] working group last call for
> > > > draft-ietf-mpls-lsp-ping-reply-mode-simple-01
> > > >
> > > >
> > > >
> > > > Working Group,
> > > >
> > > >
> > > >
> > > > This is to initiate a working group last call on
> > > > draft-ietf-mpls-lsp-ping-reply-mode-simple-01.
> > > >
> > > > Because this WGLC will span the IETF in Dallas, it will be
extended
> > to
> > > > three weeks.
> > > >
> > > >
> > > >
> > > > Please send your comments to the mpls wg mailing list
> > ([email-masked]).
> > > >
> > > >
> > > >
> > > > There are no IPR disclosures against this document. All the
authors
> > have
> > > > stated that they
> > > >
> > > > are not aware of any IPR that relates to this draft.
> > > >
> > > >
> > > >
> > > > This working group last call ends Friday  April 10, 2015.
> > > >
> > > >
> > > >
> > > > Ross
> > > >
> > > > for the MPLS WG chairs
> > > >
> > > >
> > > >
> > > >
> > > >
> > >
> >
> >
>
> ----------------------------------------------------------------------
--
> > --------
> >
> >
> > > _______________________________________________
> > > mpls mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/mpls
> > >
> >
> >
>